%define	distrib  TurboLinux
%define nam      file
%define ver      3.28
%define rel      3ml
%define prefix   /usr

Summary: A utility for determining file types.
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: Applications/File
Copyright: Distributable
Source: ftp://ftp.astron.com/pub/file/file-%{version}.tar.gz
Patch0: file-3.27-rh.patch
Patch1: file-3.28-ia64.patch
Patch2: file-3.28-unicode.patch
Patch3: file-3.33-headersize.patch
Prefix: %{prefix}
Serial: 2003030601
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-%{version}-root
#NoSource: 0


%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.


%changelog
* Thu Mar  6 2003 Yasuma Takeda <yasuma@miraclelinux.com>
- Fixed stack overflow (Patch No.3)

* Mon May 15 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- Added Unicode entry in /usr/share/magic file

* Thu Mar 09 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

* Wed Feb 16 2000 Cristian Gafton <gafton@redhat.com>
- add ia64 patch from rth

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages
- update to 3.28

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- identify ELF stripped files correctly (#4665).
- use SPARC (not sparc) consistently throughout (#4665).
- add entries for MS Office files (#4665).

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- diddle magic so that *.tfm files are identified correctly.

* Tue Jul  6 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.27.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- experimental support for realmedia files added

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binary.

* Fri Nov 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- add SPARC V9 magic.

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.26.

* Mon Aug 24 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.25.
- detect gimp XCF versions.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 3.24
- buildrooted

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Erik Troan <ewt@redhat.com>
- Fixed problems caused by 64 bit time_t.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Improved recognition of Linux kernel images.


%prep
rm -rf $RPM_BUILD_ROOT


%setup -q
%patch0 -p1 -b .rh
%patch1 -p1 -b .ia64
%patch2 -p1 -b .unicode
%patch3 -p1 -b .headersize


%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/man/man1
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/man/man4
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share
make prefix=${RPM_BUILD_ROOT}%{_prefix} install

{ cd $RPM_BUILD_ROOT
  strip .%{_prefix}/bin/file
}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_prefix}/bin/file
%{_prefix}/share/magic
%{_prefix}/man/man1/file.*
%{_prefix}/man/man4/magic.*
